commit:     e272477ddd5a14a0b5195e77493046671a516cef
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 24 13:17:12 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Thu Sep 24 13:17:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e272477d

app-admin/exo: version bump to 1.18.0

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 app-admin/exo/Manifest          |  1 +
 app-admin/exo/exo-1.18.0.ebuild | 36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/app-admin/exo/Manifest b/app-admin/exo/Manifest
index 7ebd9c99ee2..983fcc21d81 100644
--- a/app-admin/exo/Manifest
+++ b/app-admin/exo/Manifest
@@ -1 +1,2 @@
 DIST exo-1.17.0.tar.gz 4399134 BLAKE2B 
d065cdbe698792afe19e1058c3e0e6c112c8ed66a0fdab8b182918022cc10cf51d4d1eb8eff42c2ff27250cbde56b627110f9b581e73d7ccbe32746081bf6de7
 SHA512 
2a60c80c87d9ca33dc3708c4c60b6219431751a522a9e5869fe255c1c68247c0863e9f098cc85c4652ad1ffde08386634d5374c4ddb2c82828f201a37a214075
+DIST exo-1.18.0.tar.gz 4625622 BLAKE2B 
618aec5cec7a41f06963d728c627f043f08ba39695691154118261a6fb71bac93cdb07b039e74e05a464227dca4da66c17c4c319553894f2d46af6203a36a038
 SHA512 
862dd138a6b6cbf9471206a07cf4447df113a77f44523e72e89a1f87362086fa168ded51d43c32408946b8cf2d6cb9668ff29818494a2eb6d94b0ef7d3bf4420

diff --git a/app-admin/exo/exo-1.18.0.ebuild b/app-admin/exo/exo-1.18.0.ebuild
new file mode 100644
index 00000000000..0c2c8d861fe
--- /dev/null
+++ b/app-admin/exo/exo-1.18.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Command-line tool for everything at Exoscale: compute, storage, 
dns."
+HOMEPAGE="https://github.com/exoscale/cli";
+SRC_URI="https://github.com/exoscale/cli/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE=""
+DEPEND="dev-lang/go:="
+RESTRICT="strip"
+QA_FLAGS_IGNORED=".*"
+
+S="${WORKDIR}/cli-${PV}"
+
+src_compile() {
+       go build -mod vendor -o ${PN} || die "build failed"
+}
+
+src_test() {
+       # run at least 'exo version' for test
+       ./exo version > /dev/null 2>&1
+       if [[ $? -ne 0 ]]
+       then
+               die "Test failed"
+       fi
+}
+
+src_install() {
+       dobin ${PN}
+}

Reply via email to